//http://Program.EasySoft.ir
//http://EasySoft.ir

#include <iostream.h> 
#include <math.h>
#include <conio.h>

double factorial(int);
double taylorCosine(double, double);

int main()
{
    double rad ;

    cout <<"Enter your degree in RAD: ";

    cin >> rad ;

    cout <<"\n\nCos("<<rad<<") = " << taylorCosine(rad,20);

    getch();
    return 0 ;

}


double factorial(int num){

        double fact = 1;

        for(int i = 1; i <= num; i++){
                fact = fact * i;
        }

        return fact;
}

//Taylor series cos(x) = (-1)^n*x^(2n)/(2n)!

double taylorCosine(double num, double precision ){

        double value = 0;

        for(int n = 0; n < precision; n++){

                value += pow(-1.0, n) * pow(num, 2*n)/factorial(2*n);

        }

        return value;

}
